# Interface ErrnoException

interface ErrnoException {
code?: string;
errno?: number;
message: string;
name: string;
path?: string;
stack?: string;
syscall?: string;
}

#### Hierarchy (view full)

- Error
  - ErrnoException

- Defined in node_modules/@types/node/globals.d.ts:265

#####
Index

### Properties

code?
errno?
message
name
path?
stack?
syscall?

## Properties

### `Optional` code

code?: string

- Defined in node_modules/@types/node/globals.d.ts:267

### `Optional` errno

errno?: number

- Defined in node_modules/@types/node/globals.d.ts:266

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1076

### `Optional` path

path?: string

- Defined in node_modules/@types/node/globals.d.ts:268

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1078

### `Optional` syscall

syscall?: string

- Defined in node_modules/@types/node/globals.d.ts:269